## Tcl8.5.14/Tk8.5.14 Documentation > TkCmd > ttk_button

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

  NAME
    ttk::button - Widget that issues a command when pressed
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -compound, compound, Compound
    -cursor, cursor, Cursor
    -image, image, Image
    -state, state, State
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
    -text, text, Text
    -textvariable, textVariable, Variable
    -underline, underline, Underline
    -width, width, Width
  WIDGET-SPECIFIC OPTIONS
    -command, command, Command
    -default, default, Default
    -width, width, Width
  WIDGET COMMAND
    pathName invoke
  STANDARD STYLES
  COMPATIBILITY OPTIONS
    -state, state, State
  SEE ALSO
  KEYWORDS

### NAME

ttk::button - Widget that issues a command when pressed

### SYNOPSIS

ttk::button pathName ?options?

### DESCRIPTION

A ttk::button widget displays a textual label and/or image, and evaluates a command when pressed.

### STANDARD OPTIONS

-class, undefined, undefined
-compound, compound, Compound
-cursor, cursor, Cursor
-image, image, Image
-state, state, State
-style, style, Style
-takefocus, takeFocus, TakeFocus
-text, text, Text
-textvariable, textVariable, Variable
-underline, underline, Underline
-width, width, Width

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -command
Database Name: command
Database Class: Command
  A script to evaluate when the widget is invoked.

Command-Line Name: -default
Database Name: default
Database Class: Default
  May be set to one of normal, active, or disabled. In a dialog box, one button may be designated the “default” button (meaning, roughly, “the one that gets invoked when the user presses <Enter>”). active indicates that this is currently the default button; normal means that it may become the default button, and disabled means that it is not defaultable. The default is normal.

  Depending on the theme, the default button may be displayed with an extra highlight ring, or with a different border color.

Command-Line Name: -width
Database Name: width
Database Class: Width
  If greater than zero, specifies how much space, in character widths, to allocate for the text label. If less than zero, specifies a minimum width. If zero or unspecified, the natural width of the text label is used. Note that some themes may specify a non-zero -width in the style.

### WIDGET COMMAND

In addition to the standard cget, configure, identify, instate, and state commands, buttons support the following additional widget commands:

pathName invoke
  Invokes the command associated with the button.

### STANDARD STYLES

Ttk::button widgets support the Toolbutton style in all standard themes, which is useful for creating widgets for toolbars.

### COMPATIBILITY OPTIONS

Command-Line Name: -state
Database Name: state
Database Class: State
  May be set to normal or disabled to control the disabled state bit. This is a “write-only” option: setting it changes the widget state, but the state widget command does not affect the state option.

### SEE ALSO

ttk::widget, button

### KEYWORDS

widget, button, default, command
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 2004 Joe English